#include<cstdio>
#include<cstdlib>
#include<cmath>
#include<cstring>

using namespace std;
#define  OK 0
#define  NOLE 1
#define  NORI 2
#define  NODO 4
#define  NOUP 8
#define KO 16
#define NO 32



int pole[202][202];
	
void vlna2 (int x, int y) {
	if (pole[x][y] & 48) return;
	
	pole[x][y] |= NO;
	
	pole[x][y] |= KO;	
	if (((x-1) >= 0) && ((x-1) < 202) && ((pole[x][y] & NOLE) == 0)) vlna( x-1, y);
	if (((x+1) >= 0) && ((x+1) < 202) && ((pole[x][y] & NORI) == 0)) vlna( x+1, y);
	if (((y-1) >= 0) && ((y-1) < 202) && ((pole[x][y] & NODO) == 0)) vlna( x, y-1);
	if (((y+1) >= 0) && ((y+1) < 202) && ((pole[x][y] & NOUP) == 0)) vlna(x, y+1);
}

void vlna(int x, int y) {
	int kri
	for(int i=0; i<202; i++)
	for(int j=0; j<202; j++) {
		pole[i][j] = 
	}
}
	
void zpracuj(int poc) {
	int data[2][101];
	int x,y;
	
	for(int x =0; x< 202; x++){
		for(int y =0; y< 202; y++){
			pole[x][y] = OK;
		}
	}
	
	for (int i =0; i< poc; i++){
		scanf("%d %d", &x, &y);
		data[0][i] = x + 101;
		data[1][i] = y + 101;
	}
	
	for (int a =0; a< poc; a++){
		int b = a+1;
		if (b == poc ) b = 0;
		int typ = 0;
		if (data[0][a] == data[0][b]) typ = 2;
		if (data[1][a] == data[1][b]) typ = 1;
		//printf("typ %d \n", typ);
		
		int tmp1, tmp2, deltax, deltay;
		switch(typ) {
			case 0: //sikma
				deltax = data[0][a] - data[0][b];
				if (deltax < 0) deltax *= -1;
				deltay = data[1][a] - data[1][b];
				if (deltay < 0) deltay *= -1;
				for (int i= 0; i<deltax; i++){
					tmp1 = (i * deltay) / deltax;
					tmp2 = ((i+1) * deltay) / deltax;
					if(((i+1) * deltay) % deltax)
						tmp2++;
					if(data[1][a] < data[1][b]) {
						tmp1 += data[1][a];
						tmp2 += data[1][a];
					} else {
						tmp1 = data[1][a] - tmp1 - 1;
						tmp2 = data[1][a] - tmp2 - 1;
					}
					if(data[1][a] < data[1][b]) {
						for (int k =tmp1; k<tmp2; k++){
							if(data[0][a] < data[0][b]) {
								//printf("######## %d %d\n", data[0][a]+i, k);
								pole[data[0][a]+i][k] |= KO;
							}
							else {
								//printf("######## %d %d\n", data[0][a]-i-1, k);
								pole[data[0][a]-i-1][k] |= KO;
							}
						}
					} else {
						for (int k =tmp1; k>tmp2; k--){
							if(data[0][a] < data[0][b]) {
								//printf("######## %d %d\n", data[0][a]+i, k);
								pole[data[0][a]+i][k] |= KO;
							}
							else {
								//printf("######## %d %d\n", data[0][a]-i-1, k);
								pole[data[0][a]-i-1][k] |= KO;
							}
						}
					}
				}
				break;
			case 1: //vodorov
				if (data[0][a] < data[0][b]) {
					for (int i= data[0][a]; i<data[0][b]; i++){
						//printf("NOUP %d %d\n", i, data[1][a] -1);
						pole[i][ data[1][a] -1 ] |= NOUP;
						//printf("NODO %d %d\n", i, data[1][a] );
						pole[i][ data[1][a] ] |= NODO;
					}
				} else {
					for (int i= data[0][b]; i<data[0][a]; i++){
						//printf("NOUP %d %d\n", i, data[1][a] -1);
						pole[i][ data[1][a] -1 ] |= NOUP;
						//printf("NODO %d %d\n", i, data[1][a] );
						pole[i][ data[1][a] ] |= NODO;
					}
				}
				break;
			case 2: //svis
				if (data[1][a] < data[1][b]) {
					for (int i= data[1][a]; i<data[1][b]; i++){
						//printf("NORI %d %d\n",data[0][a]-1, i);
						pole[ data[0][a]-1 ][ i ] |= NORI;
						//printf("NOLE %d %d\n",data[0][a], i);
						pole[ data[0][a] ][ i ] |= NOLE;
					}
				} else {
					for (int i= data[1][b]; i<data[1][a]; i++){
						//printf("NORI %d %d\n",data[0][a]-1, i);
						pole[ data[0][a]-1 ][ i ] |= NORI;
						//printf("NOLE %d %d\n",data[0][a], i);
						pole[ data[0][a] ][ i ] |= NOLE;
					}
				}
				break;
		}
	}
	
	vlna(0,0);
	
	int vysl = 0;
	for(int x =0; x< 202; x++){
		for(int y =0; y< 202; y++){
			if ((pole[x][y] & 48) == 0) vysl++;
		}
	}
	
	printf("%d\n", vysl);
}

int main() {
	int poc = 1;
	while (1){
	scanf("%d", &poc);
		if(poc == 0)
			return 0;
	zpracuj(poc);
	}
	return 0;
}